<?php
/**
 * Controller to handling save question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Add_question' ))
{
    class IPSurv_Ajax_Add_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();
            
            $survey = false;
            if ( ! empty( $_POST['survey_id'] )) {
                $surveyId = absint( $_POST['survey_id'] );
                $survey   = get_post( $surveyId );
            }
            if ( ! $survey ) 
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed add question.', IPSURV_SLUG )
                ) );
                die();
            }
            $order = 1;
            if ( ! empty( $_POST['order'] )) {
                $order = absint( $_POST['order'] );
            }

            //Save question 
            $result = $model->addQuestion( $survey->ID, $_POST, $order );

            if ( ! $result ) 
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed add question.', IPSURV_SLUG )
                ) );
                die();
            } 
            else 
            {
                // Save answers
                $model->saveAnswer( $result );
                
                $question = $model->getQuestion( $result );
                echo json_encode( array(
                    'status'    => 1,
                    'id'        => $question->qtn_id,
                    'title'     => strip_tags( $question->qtn_content ),
                    'message'   => __( 'Successfully add question.', IPSURV_SLUG )
                ) );
                die();
            }
        }
    }
}
