<?php
/**
 * Controller to handling save question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Edit_question' ))
{
    class IPSurv_Ajax_Edit_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();
            
            $question = false;
            if ( ! empty( $_POST['qtn_id'] )) {
                $qtnId    = absint( $_POST['qtn_id'] );
                $question = $model->getQuestion( $qtnId );
            }
            if ( ! $question ) 
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed edited question.', IPSURV_SLUG )
                ) );
                die();
            }

            //Save question 
            $result = $model->changeQuestion( $question->qtn_id, $_POST );
            
            // Save answers
            $model->saveAnswer( $question->qtn_id );

            $question = $model->getQuestion( $question->qtn_id );
            echo json_encode( array(
                'status'    => 1,
                'id'        => $question->qtn_id,
                'content'   => strip_tags( $question->qtn_content ),
                'message'   => __( 'Successfully edited question.', IPSURV_SLUG )
            ) );
            die();
        }
    }
}
