<?php
/**
 * Controller to handling save question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Save_question' ))
{
    class IPSurv_Ajax_Save_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();

            $question = false;
            if ( ! empty( $_POST['id'] ))
            {
                $qtnId = absint( $_POST['id'] );
                $question = $model->getQuestion( $qtnId );
            }
            if ( $question )
            {
                $answerType = $question->qtn_type;
                $inputName  = 'question_answer_' . absint( $_POST['id'] );
                if ( ! empty( $_POST[$inputName] ))
                {
                    //
                    //Get or create choice
                    $choice = $model->getChoiceByIp( $question->post_id );
                    if ( $choice )
                    {
                        $choId = $choice->cho_id;
                        $toUpdate = array(
                            'cho_date'     => date( 'c' ),
                            'cho_last_qtn' => $question->qtn_id
                        );
                        if( isset( $_POST['last'] )) {
                            $toUpdate['cho_status'] = 2;
                        }
                        $model->updateChoice( $choice->cho_id, $toUpdate );
                    }
                    else
                    {
                        $toInsert = array(
                            'user_id'      => $user_ID,
                            'survey_id'    => $question->post_id,
                            'cho_date'     => date( 'c' ),
                            'cho_time'     => time(),
                            'cho_ip'       => $_SERVER['REMOTE_ADDR'],
                            'cho_browser'  => $_SERVER['HTTP_USER_AGENT'],
                            'cho_last_qtn' => $question->qtn_id,
                            'cho_status'   => 1
                        );
                        $choId = $model->insertChoice( $toInsert );
                    }
                    if ( $choId )
                    {
                        $data = $_POST[$inputName];
                        //
                        //Insert choice answer
                        if ( $answerType == 'checkbox' || is_array( $data ) )
                        {
                            foreach ( $data as $value )
                            {
                                $toInsert = array(
                                    'cho_id'      => $choId,
                                    'qtn_id'      => $question->qtn_id,
                                    'choa_data'   => $value
                                );
                                $choaId = $model->insertChoiceAnswer( $toInsert );
                                if ( $choaId ) {
                                    $error = false;
                                }
                            }
                        }
                        else
                        {
                            $toInsert = array(
                                'cho_id'      => $choId,
                                'qtn_id'      => $question->qtn_id,
                                'choa_data'   => $data
                            );
                            $choaId = $model->insertChoiceAnswer( $toInsert );
                            if ( $choaId ) {
                                $error = false;
                            }
                        }
                    }
                }
            }

            if ( $error ) {
                $status = 0;
                $msg    = __( 'Failed save settings.', IPSURV_SLUG );
            } else {
                $status = 1;
                $msg    = __( 'Successfully updated settings.', IPSURV_SLUG );
            }
            echo json_encode( array(
                'status'    => $status,
                'message'   => $msg
            ) );
            die();
        }
    }
}
