<?php
/**
 * Admin main view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-manage" class="wrap ipsurv-wrap ipsurv-admin">
  <div class="ipsurv-inner">
    <?php
    if ( $this->survey ) {
        $this->title = $this->survey->post_title;
        $this->info  = '<i class="ipsurv-fa ipsurv-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->survey->post_date ) . '</strong>';

        $this->view( 'admin/general/header' );
    } else {
        $this->view( 'admin/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsurv=1&action=update';
    ?>
    <div class="ipsurv-main">
      <div class="ipsurv-main-info"></div>

      <div class="ipsurv-primary">
        <div class="ipsurv-manage-wrap ipsurv-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipsurv-form-container ipsurv-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="survey_id" id="ipsurv-value-surveyid" value="<?php echo $this->surveyId; ?>" />

            <div class="container-fluid container">
              <div class="ipsurv-clear ipsurv-tab">
                <?php
                $this->view( 'admin/manage/nav' );
                ?>

                <div class="ipsurv-manage-content">
                  <div class="ipsurv-manage-info">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipsurv-tab-title">
                          <i class="ipsurv-fa ipsurv-fa-cogs"></i>
                          <div class="ipsurv-title-text">
                            <h3> <?php _e( 'General', IPSURV_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your survey page', IPSURV_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipsurv-top-submit">
                          <button type="submit" class="ipsurv-form-submit ipsurv-btn ipsurv-btn-secondary ipsurv-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipsurv-fa ipsurv-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->survey ) {
                            echo '<p class="ipsurv-update-info">' .
                              __( 'Last Update', IPSURV_SLUG ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->survey->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'admin/manage/content' );
                  ?>

                  <div class="ipsurv-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipsurv-bottom-submit">
                          <button type="submit" class="ipsurv-form-submit ipsurv-btn ipsurv-btn-secondary ipsurv-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipsurv-fa ipsurv-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipsurv-bottom-action text-right">
                          <?php
                          if ( $this->survey ) :
                          ?>
                          <a href="<?php echo $this->permalink; ?>" class="ipsurv-btn ipsurv-btn-success ipsurv-btn-lg">
                              <i class="ipsurv-fa ipsurv-fa-eye"></i>
                              <?php _e( 'View Page', IPSURV_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>
            </div>

          </form>
        </div>
      </div>
    </div>
  </div>

  <?php
  $this->view( 'admin/manage/question/modal' );
  $this->view( 'admin/manage/result/modal' );
  ?>

</div>
