<?php
/**
 * Admin manage content of survey page
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-section-content" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-file-text-o"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Content', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Manage basic content for the survey page', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'General Content', IPMTUBE_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Start buttn label
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-start-button-label"><?php _e( 'Start Button Label', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = $setting->getSetting( 'start_button_label', 'Start' );
          ?>
          <input type="text" id="input-start-button-label" class="ipsurv-input ipsurv-input-full" name="start_button_label" value="<?php echo $label; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The label for "Start" button in introduction content.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Next buttn label
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-next-button-label"><?php _e( 'Next Button Label', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = $setting->getSetting( 'next_button_label', 'Next' );
          ?>
          <input type="text" id="input-next-button-label" class="ipsurv-input ipsurv-input-full" name="next_button_label" value="<?php echo $label; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The label for "Next Question" button.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Error message
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-error-message"><?php _e( 'Error Message', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $message = $setting->getSetting( 'error_message' );
          ?>
          <textarea id="input-error-message" class="ipsurv-input ipsurv-input-full" name="error_message"><?php echo $message; ?></textarea>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Message that displaying when user not choice the answer.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
    <!-- end: .ipsurv-fields -->

    <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'Introduction Content', IPMTUBE_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-intro-title"><?php _e( 'Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'intro_title' );
          ?>
          <input type="text" id="input-intro-title" class="ipsurv-input ipsurv-input-full" name="intro_title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The title of introduction content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Subtitle
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-intro-subtitle"><?php _e( 'Subtitle', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $subtitle = $setting->getSetting( 'intro_subtitle' );
          ?>
          <input type="text" id="input-intro-subtitle" class="ipsurv-input ipsurv-input-full" name="intro_subtitle" value="<?php echo $subtitle; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The subtitle of introduction content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-intro-info"><?php _e( 'Main Info', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = $setting->getSetting( 'intro_info', '' );
          ?>
          <?php
          $tinymceInit = array(
              'editor_height' => 120
          );
          $content = stripslashes( $info );
          wp_editor( $content, 'intro_info', array(
              'editor_height' => 120,
              'tinymce'       => $tinymceInit
          ));
          ?>
          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The main info of introduction content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Term Info
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-intro-term"><?php _e( 'Term Info', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $term = $setting->getSetting( 'intro_term', '' );
          ?>
          <?php
          $tinymceInit = array(
              'editor_height' => 100
          );
          $content = stripslashes( $term );
          wp_editor( $content, 'intro_term', array(
              'editor_height' => 100,
              'tinymce'       => $tinymceInit
          ));
          ?>
          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The term info of introduction content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


    </div>
    <!-- end: .ipsurv-fields -->

    <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'Finished Redirect', IPMTUBE_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Redirect URL
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-finished-redirect"><?php _e( 'Redirect URL', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'finished_redirect' );
          ?>
          <input type="text" id="input-finished-redirect" class="ipsurv-input ipsurv-input-full" name="finished_redirect" value="<?php echo $url; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'If you specify the redirect url then after the survey is completed the user will be redirected to that url. If this value is specified, the data you specify in the Finished Content will not be used.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
    <!-- end: .ipsurv-fields -->

    <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'Finished Content', IPMTUBE_SLUG ); ?></h3>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-finished-title"><?php _e( 'Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'finished_title' );
          ?>
          <input type="text" id="input-finished-title" class="ipsurv-input ipsurv-input-full" name="finished_title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The title of finished you content that is displayed when the survey is completed.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Message
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-finished-message"><?php _e( 'Message', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $message = $setting->getSetting( 'finished_message', '' );
          ?>
          <?php
          $tinymceInit = array(
              'editor_height' => 120
          );
          $content = stripslashes( $message );
          wp_editor( $content, 'finished_message', array(
              'editor_height' => 120,
              'tinymce'       => $tinymceInit
          ));
          ?>
          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The message of finished you content that is displayed when the survey is completed.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
    <!-- end: .ipsurv-fields -->
  </div>
</div>
