<?php
/**
 * Admin manage seo content of survey page
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-section-seo" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-globe"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'SEO', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Manage SEO content for the survey page', IPSURV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Meta Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-title"><?php _e( 'Meta Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'seo_meta_title' );
          ?>
          <input type="text" id="input-seo-meta-title" class="ipsurv-input ipsurv-input-full" name="seo_meta_title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The meta title content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Meta Description
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-description"><?php _e( 'Meta Description', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $description = $setting->getSetting( 'seo_meta_description' );
          ?>
          <input type="text" id="input-seo-meta-description" class="ipsurv-input ipsurv-input-full" name="seo_meta_description" value="<?php echo $description; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The meta description content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Meta Keywords
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-meta-keywords"><?php _e( 'Meta Keywords', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $keywords = $setting->getSetting( 'seo_meta_keywords' );
          ?>
          <input type="text" id="input-seo-meta-keywords" class="ipsurv-input ipsurv-input-full" name="seo_meta_keywords" value="<?php echo $keywords; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The meta keywords content for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Open Graph Image URL
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-graph-image"><?php _e( 'Open Graph Image URL', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_graph_image' );
          ?>
          <input type="text" id="input-seo-graph-image" class="ipsurv-input ipsurv-input-full" name="seo_graph_image" value="<?php echo $url; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The open graph image url for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Favicon URL
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-favicon"><?php _e( 'Favicon URL', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $setting->getSetting( 'seo_favicon' );
          ?>
          <input type="text" id="input-seo-favicon" class="ipsurv-input ipsurv-input-full" name="seo_favicon" value="<?php echo $url; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The favicon url for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Tracking Code
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-seo-tracking-code"><?php _e( 'Tracking Code', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $code = $setting->getSetting( 'seo_tracking_code' );
          ?>
          <textarea id="input-seo-tracking-code" class="ipsurv-input ipsurv-input-full" name="seo_tracking_code"><?php echo $code; ?></textarea>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The tracking code for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
    <!-- end: .ipsurv-fields -->
  </div>
</div>
