<?php
/**
 * Content design options
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-content-background-color"><?php _e( 'Background Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'content_background_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-content-background-color" name="content_background_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add background color in the content section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-content-border"><?php _e( 'Border', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $bowidth = $this->setting->getSetting( 'content_border_width', 0 );
    $bocolor = stripslashes( $this->setting->getSetting( 'content_border_color', '#222222' ));
    ?>
    <div class="ipsurv-input-group mr5">
      <input type="text" id="input-content-border-width" class="ipsurv-input ipsurv-input-xxs" name="content_border_width" value="<?php echo $bowidth; ?>">
      <div class="ipsurv-input-addon">px</div>
    </div>
    <input type="text" class="ipsurv-color-picker" id="input-content-border-color" name="content_border_color" value="<?php echo $bocolor; ?>" />

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add border in the content section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Border radius
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-border-radius"><?php _e( 'Border Radius', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <select name="content_border_radius" id="input-content-border-radius">
        <?php
        $current = stripslashes( $this->setting->getSetting( 'content_border_radius', 'none' ));
        $styles  = array(
            'none' => __( 'None', IPSURV_SLUG ),
            'xs'   => __( 'Extra Small', IPSURV_SLUG ),
            'sm'   => __( 'Small', IPSURV_SLUG ),
            'md'   => __( 'Medium', IPSURV_SLUG ),
            'lg'   => __( 'Large', IPSURV_SLUG )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Add radius in the content section.', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Top
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-padding-top"><?php _e( 'Padding Top', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'content_padding_top' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-content-padding-top" class="ipsurv-input ipsurv-input-xs" name="content_padding_top" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding top for the content section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Bottom
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-padding-bottom"><?php _e( 'Padding Bottom', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'content_padding_bottom' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-content-padding-bottom" class="ipsurv-input ipsurv-input-xs" name="content_padding_bottom" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding bottom for the content section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Margin Top
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-margin-top"><?php _e( 'Margin Top', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $margin = $this->setting->getSetting( 'content_margin_top' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-content-margin-top" class="ipsurv-input ipsurv-input-xs" name="content_margin_top" value="<?php echo $margin; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Margin top for the content section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Margin Bottom
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-margin-bottom"><?php _e( 'Margin Bottom', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $margin = $this->setting->getSetting( 'content_margin_bottom' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-content-margin-bottom" class="ipsurv-input ipsurv-input-xs" name="content_margin_bottom" value="<?php echo $margin; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Margin bottom for the content section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-content-color"><?php _e( 'Text Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'content_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-content-color" name="content_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Text color in the content section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Font Family
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-font-family"><?php _e( 'Font Family', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $current = $this->setting->getSetting( 'content_font_family', 'roboto' );
        $fonts   = IPSurv_Font::getOptions();
        $fname   = IPSurv_Font::getFontName( $current );
        ?>
        <span class="ipsurv-font-family">
            <div class="ipsurv-menu ipsurv-fancy-option">
                <div class="ipsurv-selected">
                    <div class="ipsurv-selected-box">
                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                    </div>
                    <span class="toggle"></span>
                </div>
                <div class="ipsurv-select" style="display: none;">
                    <div class="ipsurv-select-content">
                        <ul class="clearfix">
                            <?php
                            foreach( $fonts as $fkey => $label ) :
                            ?>
                                <li data-select="<?php echo $fkey; ?>">
                                    <strong class="ipsurv-select-label">
                                        <?php echo $label; ?>
                                    </strong>
                                </li>
                            <?php
                            endforeach;
                            ?>
                        </ul>
                    </div>
                </div>
                <input type="hidden" name="content_font_family" class="ipsurv-input-select" value="<?php echo $current; ?>" />
            </div>
        </span>

        <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
                <?php _e( 'The font family of the content section.', IPSURV_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Button style
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-button-style"><?php _e( 'Button Style', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

      <select name="content_button_style" id="input-content-button-style">
          <?php
          $current = $setting->getSetting( 'content_button_style', 'flat' );
          $styles  = array(
              'flat'     => __( 'Flat', IPSURV_SLUG ),
              'gradient' => __( 'Gradient', IPSURV_SLUG ),
              'rounded'  => __( 'Rounded', IPSURV_SLUG )
          );
          foreach( $styles as $skey => $label ) {
              $sltd = '';
              if ( $skey == $current ) {
                  $sltd = ' selected="selected"';
              }
              echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
          }
          ?>
      </select>

        <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
                <?php _e( 'The style of the button in content.', IPSURV_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Button style color
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-content-button-style-color"><?php _e( 'Button Style Color', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

      <select name="content_button_style_color" id="input-content-button-style-color">
        <?php
        $current = $setting->getSetting( 'content_button_style_color', 'clean' );
        $colors  = array(
                'clean'    => __( 'Clean', IPSURV_SLUG ),
                'dark'     => __( 'Dark', IPSURV_SLUG ),
                'red'      => __( 'Red', IPSURV_SLUG ),
                'blue'     => __( 'Blue', IPSURV_SLUG ),
                'green'    => __( 'Green', IPSURV_SLUG ),
                'orange'   => __( 'Orange', IPSURV_SLUG ),
                'gold'     => __( 'Gold', IPSURV_SLUG ),
                'aqua'     => __( 'Aqua', IPSURV_SLUG ),
                'purple'   => __( 'Purple', IPSURV_SLUG ),
                'lime'     => __( 'Lime', IPSURV_SLUG )
        );
        foreach( $colors as $skey => $label ) {
            $sltd = '';
            if ( $skey == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
      </select>

        <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
                <?php _e( 'The style color of the button in content.', IPSURV_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->
