<?php
/**
 * footer design options
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
/*

 * Footer text
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-footer-text"><?php _e( 'Footer Text', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $text = $setting->getSetting( 'footer_text' );
    ?>
    <textarea id="input-footer-text" class="ipsurv-input ipsurv-input-full" name="footer_text"><?php echo $text; ?></textarea>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The footer text for the survey page.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-footer-background-color"><?php _e( 'Background Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'footer_background_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-footer-background-color" name="footer_background_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add background color in the footer section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-footer-color"><?php _e( 'Text Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'footer_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-footer-color" name="footer_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Text color in the footer section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-footer-border"><?php _e( 'Border', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $bowidth = $this->setting->getSetting( 'footer_border_width', 0 );
    $bocolor = stripslashes( $this->setting->getSetting( 'footer_border_color', '#222222' ));
    ?>
    <div class="ipsurv-input-group mr5">
      <input type="text" id="input-footer-border-width" class="ipsurv-input ipsurv-input-xxs" name="footer_border_width" value="<?php echo $bowidth; ?>">
      <div class="ipsurv-input-addon">px</div>
    </div>
    <input type="text" class="ipsurv-color-picker" id="input-footer-border-color" name="footer_border_color" value="<?php echo $bocolor; ?>" />

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add border in the footer section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Border radius
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-footer-border-radius"><?php _e( 'Border Radius', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <select name="footer_border_radius" id="input-footer-border-radius">
        <?php
        $current = stripslashes( $this->setting->getSetting( 'footer_border_radius', 'none' ));
        $styles  = array(
            'none' => __( 'None', IPSURV_SLUG ),
            'xs'   => __( 'Extra Small', IPSURV_SLUG ),
            'sm'   => __( 'Small', IPSURV_SLUG ),
            'md'   => __( 'Medium', IPSURV_SLUG ),
            'lg'   => __( 'Large', IPSURV_SLUG )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Add radius in the footer section.', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Top
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-footer-padding-top"><?php _e( 'Padding Top', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'footer_padding_top' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-footer-padding-top" class="ipsurv-input ipsurv-input-xs" name="footer_padding_top" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding top for the footer section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Bottom
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-footer-padding-bottom"><?php _e( 'Padding Bottom', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'footer_padding_bottom' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-footer-padding-bottom" class="ipsurv-input ipsurv-input-xs" name="footer_padding_bottom" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding bottom for the footer section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Font Family
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-footer-font-family"><?php _e( 'Font Family', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $current = $this->setting->getSetting( 'footer_font_family', 'roboto' );
        $fonts   = IPSurv_Font::getOptions();
        $fname   = IPSurv_Font::getFontName( $current );
        ?>
        <span class="ipsurv-font-family">
            <div class="ipsurv-menu ipsurv-fancy-option">
                <div class="ipsurv-selected">
                    <div class="ipsurv-selected-box">
                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                    </div>
                    <span class="toggle"></span>
                </div>
                <div class="ipsurv-select" style="display: none;">
                    <div class="ipsurv-select-content">
                        <ul class="clearfix">
                            <?php
                            foreach( $fonts as $fkey => $label ) :
                            ?>
                                <li data-select="<?php echo $fkey; ?>">
                                    <strong class="ipsurv-select-label">
                                        <?php echo $label; ?>
                                    </strong>
                                </li>
                            <?php
                            endforeach;
                            ?>
                        </ul>
                    </div>
                </div>
                <input type="hidden" name="footer_font_family" class="ipsurv-input-select" value="<?php echo $current; ?>" />
            </div>
        </span>

        <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
                <?php _e( 'The font family of the footer section.', IPSURV_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Text Aligment
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-footer-alignment"><?php _e( 'Text Aligment', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $style   = $setting->getSetting( 'footer_alignment' );
    $options = array(
        'left'   => __( 'Left', IPSURV_SLUG ),
        'center' => __( 'Center', IPSURV_SLUG ),
        'right'  => __( 'Right', IPSURV_SLUG ),
    );
    ?>
    <select name="footer_alignment" id="input-footer-alignment">
      <?php
      foreach( $options as $key => $label )
      {
          $sltd = '';
          if ( $key == $style ) {
              $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
      }
      ?>
    </select>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The text alignment in footer section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->
