<?php
/**
 * Modal add question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-edit-question-modal" class="ipsurv-ui-modal" style="display: none;">
  <div class="ipsurv-ui-modal-main">
    <div class="ipsurv-ui-modal-inner">
      <div class="ipsurv-ui-modal-title">
          <h3 class="_title-add"><?php _e( 'Add Question', IPSURV_SLUG ); ?></h3>
          <h3 class="_title-edit" style="display:none;"><?php _e( 'Edit Question', IPSURV_SLUG ); ?></h3>
          <div class="ipsurv-ui-close">
              <a class="ipsurv-ui-close-link" href="#">
                <i class="ipsurv-fa ipsurv-fa-times"></i>
              </a>
          </div>
      </div>
      <div class="ipsurv-ui-modal-content">
        <div class="container container-fluid">

          <form id="ipsurv-edit-question-form" class="ipsurv-form-container ipsurv-form" method="post" action="" enctype="multipart/form-data">

            <input type="hidden" class="_value-qtnid" name="qtn_id" value="">
            <input type="hidden" class="_value-surveyid" name="survey_id" value="<?php echo $this->survey->ID; ?>">

            <!-- start: .ipsurv-fields -->
            <div class="ipsurv-fields">

              <?php
              /*
               * Question
               */
              ?>
              <!-- start: .ipsurv-field-row -->
              <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
                <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                  <label for="input-question-content"><?php _e( 'Question Content', IPSURV_SLUG ); ?></label>
                </div>

                <!-- start: .ipsurv-field -->
                <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
                  <?php
                  $tinymceInit = array(
                      'editor_height' => 120
                  );
                  wp_editor( '', 'question_content', array(
                      'editor_height' => 120,
                      'tinymce'       => $tinymceInit
                  ));
                  ?>
                  <div class="ipsurv-help">
                    <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                    <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The content of question.', IPSURV_SLUG ); ?>
                    </div>
                  </div>
                </div>
                <!-- end: .ipsurv-field -->
              </div>
              <!-- end: .ipsurv-field-row -->

              <?php
              /*
               * Status
               */
              ?>
              <!-- start: .ipsurv-field-row -->
              <div class="ipsurv-field-row ipsurv-field-x">
                <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                  <label for="input-question-status"><?php _e( 'Status', IPSURV_SLUG ); ?></label>
                </div>

                <!-- start: .ipsurv-field -->
                <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
                  <div class="ipsurv-onoff">
                      <?php
                      $val  = 'true';
                      if ( $val == 'false' ) {
                          $clon  = '';
                          $cloff = ' active';
                      } else {
                          $clon  = ' active';
                          $cloff = '';
                      }
                      ?>
                      <div class="ipsurv-btn-group">
                        <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'Show', IPSURV_SLUG ); ?></button>
                        <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Hide', IPSURV_SLUG ); ?></button>
                      </div>
                      <input type="hidden" class="ipsurv-onoff-value" id="input-question-status" name="question_status" value="<?php echo $val; ?>" />
                  </div>

                  <div class="ipsurv-help">
                    <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                    <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'Determines the status of the question, whether the question will be viewable by the public or not.', IPSURV_SLUG ); ?>
                    </div>
                  </div>
                </div>
                <!-- end: .ipsurv-field -->
              </div>
              <!-- end: .ipsurv-field-row -->

              <?php
              /*
               * Type
               */
              ?>
              <!-- start: .ipsurv-field-row -->
              <div class="ipsurv-field-row ipsurv-field-x">
                <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                  <label for="input-question-type"><?php _e( 'Answer Type', IPSURV_SLUG ); ?></label>
                </div>

                <!-- start: .ipsurv-field -->
                <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                  <select id="input-question-type" name="answer_type">
                      <?php
                      $types = array(
                          'text'      => __( 'Short Text', IPSURV_SLUG ),
                          'textarea'  => __( 'Long Text', IPSURV_SLUG ),
                          'radio'     => __( 'Single Answer', IPSURV_SLUG ),
                          'checkbox'  => __( 'Multiple Answers', IPSURV_SLUG )
                      );
                      foreach ($types as $key => $value) {
                          echo '<option value="' . $key . '">' . $value . '</option>';
                      }
                      ?>
                  </select>

                  <div class="ipsurv-help">
                    <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                    <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The answer type of the question.', IPSURV_SLUG ); ?>
                    </div>
                  </div>
                </div>
                <!-- end: .ipsurv-field -->
              </div>
              <!-- end: .ipsurv-field-row -->

              <?php
              /*
               * Answers
               */
              ?>
              <!-- start: .ipsurv-field-row -->
              <div class="ipsurv-field-row ipsurv-field-x">
                <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                  <label for="input-question-answers"><?php _e( 'Answers', IPSURV_SLUG ); ?></label>
                </div>

                <!-- start: .ipsurv-field -->
                <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                  <div class="ipsurv-question-answers">
                      <div class="_answers">

                        <div class="_answer">
                          <span class="_answer-order">
                            <i class="ipsurv-fa ipsurv-fa-arrows"></i>
                          </span>
                          <span class="_answer-input">
                            <input type="text" class="ipsurv-input ipsurv-input-full _answer-control" name="answers[]" value="">
                            <input type="hidden" class="_val-answer-id" name="answer_ids[]" value="0">
                          </span>
                          <a href="" class="ipsurv-btn ipsurv-btn-danger _answer-delete">
                            <i class="ipsurv-fa ipsurv-fa-times"></i>
                          </a>
                        </div>

                      </div>
                      
                      <div id="ipsurv-input-answer-item" class="" style="display:none;">
                        <span class="_answer-order">
                          <i class="ipsurv-fa ipsurv-fa-arrows"></i>
                        </span>
                        <span class="_answer-input">
                          <input type="text" class="ipsurv-input ipsurv-input-full _answer-control" name="__answers[]" value="">
                          <input type="hidden" class="_val-answer-id" name="__answer_ids[]" value="">
                        </span>
                        <a href="" class="ipsurv-btn ipsurv-btn-danger _answer-delete">
                          <i class="ipsurv-fa ipsurv-fa-times"></i>
                        </a>
                      </div>

                      <div class="_add-answer mt10">
                        <a href="" class="_add-answer-link ipsurv-btn ipsurv-btn-xs ipsurv-btn-success">
                          <?php _e( 'Add Answer', IPSURV_SLUG ); ?>
                        </a>
                      </div>
                  </div>

                </div>
                <!-- end: .ipsurv-field -->
              </div>
              <!-- end: .ipsurv-field-row -->

            </div>
            <!-- end: .ipsurv-fields -->

            <div class="_form-footer">
              <div class="ipsurv-add-section-fields container container-fluid">
                <div class="row">
                  <div class="col-md-6">
                    <button type="submit" class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-md _question-add-btn">
                      <i class="ipsurv-fa ipsurv-fa-plus-circle"></i>
                      <?php _e( 'Add Question', IPSURV_SLUG); ?>
                    </button>
                    <button type="submit" class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-md _question-edit-btn" style="display:none;">
                      <i class="ipsurv-fa ipsurv-fa-floppy-o"></i>
                      <?php _e( 'Save Change', IPSURV_SLUG); ?>
                    </button>
                  </div>
                  <div class="col-md-6 text-right">
                    <a href="" class="ipsurv-btn ipsurv-btn-danger ipsurv-btn-md ipsurv-ui-close-link">
                      <?php _e( 'Cancel', IPSURV_SLUG); ?>
                    </a>
                  </div>
                </div>
              </div>
            </div>

          </form>

        </div>
      </div>
    </div>
  </div>
</div>
