<?php
/**
 * Meta box options view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-metabox" class="ipsurv-wrap">
  <div class="container-fluid container ipsurv-form">
    <div class="ipsurv-fields">

      <?php
      /*
       * Widget
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipsurv-input-widget"><?php _e( 'Widget', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipsurv_widget" id="ipsurv-input-widget">
              <option value="0"><?php _e( 'None', IPSURV_SLUG ); ?></option>
              <?php
              $current = get_post_meta( $this->post->ID, '__ipsurv_page_widget', true );

              if ( ! empty( $this->widgets ))
              {
                  foreach( $this->widgets as $widget )
                  {
                      $sltd = '';
                      if ( $widget->ID == $current ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                  }
              }
              ?>
          </select>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Position
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipsurv-input-position"><?php _e( 'Position', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <select name="ipsurv_position" id="ipsurv-input-position">
              <?php
              $current = get_post_meta( $this->post->ID, '__ipsurv_page_widget_position', true );
              $options = array(
                  'top_left'       => __( 'Top Left', IPSURV_SLUG ),
                  'top_center'     => __( 'Top Center', IPSURV_SLUG ),
                  'top_right'      => __( 'Top Right', IPSURV_SLUG ),
                  'bottom_left'    => __( 'Bottom Left', IPSURV_SLUG ),
                  'bottom_center'  => __( 'Bottom Center', IPSURV_SLUG ),
                  'bottom_right'   => __( 'Bottom Right', IPSURV_SLUG ),
                  'center_center'  => __( 'Center Center', IPSURV_SLUG ),
              );
              if ( ! empty( $options ))
              {
                  foreach( $options as $key => $label )
                  {
                      $sltd = '';
                      if ( $key == $current ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                  }
              }
              ?>
          </select>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Overlay
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="ipsurv-input-overlay"><?php _e( 'Background Overlay', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipsurv-onoff">
              <?php
              $val  = get_post_meta( $this->post->ID, '__ipsurv_page_widget_overlay', true );
              if ( $val == 'true' ) {
                  $clon  = ' active';
                  $cloff = '';
              } else {
                  $clon  = '';
                  $cloff = ' active';
              }
              ?>
              <div class="ipsurv-btn-group">
                <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
                <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipsurv-onoff-value" name="ipsurv_overlay" value="<?php echo $val; ?>" />
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
  </div>
  <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipsurv_mbox_nonce' ); ?>
</div>
