<?php
/**
 * Admin setting view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-setting" class="wrap ipsurv-wrap ipsurv-admin">
    <div class="ipsurv-inner">

        <?php
        $this->pageId = 'wpsurv-setting';
        $this->view( 'admin/general/header' );
        ?>

        <div class="ipsurv-main">
          <div class="ipsurv-main-info"></div>

          <div class="ipsurv-primary">
            <div class="ipsurv-manage-wrap">
              <?php
              $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsurv=1&action=setting';
              ?>
              <form id="ipsurv-form-setting" class="ipsurv-form-container ipsurv-form" method="post" action="<?php echo $formAction; ?>" enctype="multipart/form-data">

                <div class="container-fluid container">
                  <?php
                  $path = get_option( '__ipsurv_base_path', 'survey' );
                  ?>
                  <div class="mb40">

                      <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'Permalink', IPSURV_SLUG ); ?></h3>
                      <p><?php _e( 'Set the base path permalink for all your survey pages through the following input:', IPSURV_SLUG ); ?></p>
                      <div class="fields">
                          <div class="ipsurv-field-row ipsurv-field-x">
                              <div class="ipsurv-form-label col-lg-2 col-md-3 col-sm-4">
                                  <label for="input-base-path"><?php _e( 'Base Path Permalink', IPSURV_SLUG ); ?></label>
                              </div>
                              <div class="ipsurv-field col-lg-6 col-md-8 col-sm-8">
                                  <input type="text" id="input-base-path" class="ipsurv-input ipsurv-input-full" name="base_path" value="<?php echo $path; ?>">
                              </div>
                          </div>
                      </div>

                      <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'General Widget', IPSURV_SLUG ); ?></h3>
                      <p><?php _e( 'Show a bar object in all page. If it is determined that all of the settings of bar object in every page of the website will be ignored.', IPSURV_SLUG ); ?></p>
                      <div class="fields">

                        <?php
                        /*
                         * Widget
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="input-general-widget"><?php _e( 'Widget', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                            <select name="general_widget" id="input-general-widget">
                                <option value="0"><?php _e( 'None', IPSURV_SLUG ); ?></option>
                                <?php
                                $current = get_option( '__ipsurv_general_widget' );

                                if ( ! empty( $this->widgets ))
                                {
                                    foreach( $this->widgets as $widget )
                                    {
                                        $sltd = '';
                                        if ( $widget->ID == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                                    }
                                }
                                ?>
                            </select>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                        <?php
                        /*
                         * Position
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="input-general-widget-position"><?php _e( 'Position', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                            <select name="general_widget_position" id="input-general-widget-position">
                                <?php
                                $current = get_option( '__ipsurv_general_widget_position' );
                                $options = array(
                                    'top_left'       => __( 'Top Left', IPSURV_SLUG ),
                                    'top_center'     => __( 'Top Center', IPSURV_SLUG ),
                                    'top_right'      => __( 'Top Right', IPSURV_SLUG ),
                                    'bottom_left'    => __( 'Bottom Left', IPSURV_SLUG ),
                                    'bottom_center'  => __( 'Bottom Center', IPSURV_SLUG ),
                                    'bottom_right'   => __( 'Bottom Right', IPSURV_SLUG ),
                                    'center_center'  => __( 'Center Center', IPSURV_SLUG ),
                                );
                                if ( ! empty( $options ))
                                {
                                    foreach( $options as $key => $label )
                                    {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                }
                                ?>
                            </select>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                        <?php
                        /*
                         * Overlay
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="input-general-widget-overlay"><?php _e( 'Background Overlay', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
                            <div class="ipsurv-onoff">
                                <?php
                                $val  = get_option( '__ipsurv_general_widget_overlay' );
                                if ( $val == 'true' ) {
                                    $clon  = ' active';
                                    $cloff = '';
                                } else {
                                    $clon  = '';
                                    $cloff = ' active';
                                }
                                ?>
                                <div class="ipsurv-btn-group">
                                  <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
                                  <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
                                </div>
                                <input type="hidden" class="ipsurv-onoff-value" name="general_widget_overlay" value="<?php echo $val; ?>" />
                            </div>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                      </div>

                      <h3 class="ipsurv-field-title mb20 py10"><?php _e( 'Home Widget', IPSURV_SLUG ); ?></h3>
                      <p><?php _e( 'Select a bar object in bellow to show bar in your homepage.', IPSURV_SLUG ); ?></p>
                      <div class="fields">

                        <?php
                        /*
                         * Widget
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="input-home-widget"><?php _e( 'Widget', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                            <select name="home_widget" id="input-home-widget">
                                <option value="0"><?php _e( 'None', IPSURV_SLUG ); ?></option>
                                <?php
                                $current = get_option( '__ipsurv_home_widget' );

                                if ( ! empty( $this->widgets ))
                                {
                                    foreach( $this->widgets as $widget )
                                    {
                                        $sltd = '';
                                        if ( $widget->ID == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $widget->ID . '"' . $sltd . '>' . $widget->post_title . '</option>';
                                    }
                                }
                                ?>
                            </select>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                        <?php
                        /*
                         * Position
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="ipsurv-input-home-widget-position"><?php _e( 'Position', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

                            <select name="home_widget_position" id="ipsurv-input-home-widget-position">
                                <?php
                                $current = get_option( '__ipsurv_home_widget_position' );
                                $options = array(
                                    'top_left'       => __( 'Top Left', IPSURV_SLUG ),
                                    'top_center'     => __( 'Top Center', IPSURV_SLUG ),
                                    'top_right'      => __( 'Top Right', IPSURV_SLUG ),
                                    'bottom_left'    => __( 'Bottom Left', IPSURV_SLUG ),
                                    'bottom_center'  => __( 'Bottom Center', IPSURV_SLUG ),
                                    'bottom_right'   => __( 'Bottom Right', IPSURV_SLUG ),
                                    'center_center'  => __( 'Center Center', IPSURV_SLUG ),
                                );
                                if ( ! empty( $options ))
                                {
                                    foreach( $options as $key => $label )
                                    {
                                        $sltd = '';
                                        if ( $key == $current ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                }
                                ?>
                            </select>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                        <?php
                        /*
                         * Overlay
                         */
                        ?>
                        <!-- start: .ipsurv-field-row -->
                        <div class="ipsurv-field-row ipsurv-field-x">
                          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                            <label for="input-home-widget-overlay"><?php _e( 'Background Overlay', IPSURV_SLUG ); ?></label>
                          </div>

                          <!-- start: .ipsurv-field -->
                          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
                            <div class="ipsurv-onoff">
                                <?php
                                $val  = get_option( '__ipsurv_home_widget_overlay' );
                                if ( $val == 'true' ) {
                                    $clon  = ' active';
                                    $cloff = '';
                                } else {
                                    $clon  = '';
                                    $cloff = ' active';
                                }
                                ?>
                                <div class="ipsurv-btn-group">
                                  <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
                                  <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
                                </div>
                                <input type="hidden" class="ipsurv-onoff-value" name="home_widget_overlay" value="<?php echo $val; ?>" />
                            </div>
                          </div>
                          <!-- end: .ipsurv-field -->
                        </div>
                        <!-- end: .ipsurv-field-row -->

                      </div>

                  </div>

                  <div class="ipsurv-form-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipsurv-bottom-submit">
                          <button type="submit" class="ipsurv-form-submit ipsurv-btn ipsurv-btn-secondary ipsurv-btn-lg" id="do-save-setting" name="save_setting">
                            <i class="ipsurv-fa ipsurv-fa-floppy-o"></i>
                            <strong><?php _e( 'Save Change', IPSURV_SLUG ); ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                      </div>
                    </div>

                  </div>

                </div>
              </form>
            </div>
          </div>

        </div>

    </div>

</div>
