<?php
/**
 * Widget design options
 *
 * @package wp-widgeter
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-widget-section-design" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-cogs"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Design', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Set the appearance of the widget', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">


      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-background-color"><?php _e( 'Background Color', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'widget_background_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipsurv-color-picker" id="input-widget-background-color" name="widget_background_color" value="<?php echo $color; ?>" />


          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Background color in the widget area.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-border"><?php _e( 'Border', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'widget_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'widget_border_color', '#dddddd' ));
          ?>
          <div class="ipsurv-input-group mr5">
            <input type="text" id="input-widget-border-width" class="ipsurv-input ipsurv-input-xxs" name="widget_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipsurv-input-addon">px</div>
          </div>
          <input type="text" class="ipsurv-color-picker" id="input-widget-border-color" name="widget_border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The border of the widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-border-radius"><?php _e( 'Border Radius', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="widget_border_radius" id="input-widget-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'widget_border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPSURV_SLUG ),
                  'sm'   => __( 'Small', IPSURV_SLUG ),
                  'md'   => __( 'Medium', IPSURV_SLUG ),
                  'lg'   => __( 'Large', IPSURV_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'The border radius of the widget.', IPSURV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Padding
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-padding"><?php _e( 'Padding', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $padding = $this->setting->getSetting( 'widget_padding' );
              ?>
              <div class="ipsurv-input-group mr5">
                  <input type="text" id="input-widget-padding" class="ipsurv-input ipsurv-input-xs" name="widget_padding" value="<?php echo $padding; ?>">
                  <div class="ipsurv-input-addon">px</div>
              </div>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Padding for the widget area (in px).', IPSURV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Text Color
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-color"><?php _e( 'Text Color', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'widget_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipsurv-color-picker" id="input-widget-color" name="widget_color" value="<?php echo $color; ?>" />


          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Text color in the widget area.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Link Color
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-link-color"><?php _e( 'Link Color', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'widget_link_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipsurv-color-picker" id="input-widget-link-color" name="widget_link_color" value="<?php echo $color; ?>" />


          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Link color in the widget area.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Font Family
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-font-family"><?php _e( 'Font Family', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $current = $this->setting->getSetting( 'widget_font_family', 'roboto' );
              $fonts   = IPSurv_Font::getOptions();
              $fname   = IPSurv_Font::getFontName( $current );
              ?>
              <span class="ipsurv-font-family">
                  <div class="ipsurv-menu ipsurv-fancy-option">
                      <div class="ipsurv-selected">
                          <div class="ipsurv-selected-box">
                              <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                          </div>
                          <span class="toggle"></span>
                      </div>
                      <div class="ipsurv-select" style="display: none;">
                          <div class="ipsurv-select-content">
                              <ul class="clearfix">
                                  <?php
                                  foreach( $fonts as $fkey => $label ) :
                                  ?>
                                      <li data-select="<?php echo $fkey; ?>">
                                          <strong class="ipsurv-select-label">
                                              <?php echo $label; ?>
                                          </strong>
                                      </li>
                                  <?php
                                  endforeach;
                                  ?>
                              </ul>
                          </div>
                      </div>
                      <input type="hidden" name="widget_font_family" class="ipsurv-input-select" value="<?php echo $current; ?>" />
                  </div>
              </span>

              <div class="ipsurv-help">
                  <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The font family of the widget.', IPSURV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Text Aligment
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-alignment"><?php _e( 'Text Aligment', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $align   = $setting->getSetting( 'widget_alignment' );
          $options = array(
              'left'   => __( 'Left', IPSURV_SLUG ),
              'center' => __( 'Center', IPSURV_SLUG ),
              'right'  => __( 'Right', IPSURV_SLUG ),
          );
          ?>
          <select name="widget_alignment" id="input-widget-alignment">
            <?php
            foreach( $options as $key => $label )
            {
                $sltd = '';
                if ( $key == $align ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
          </select>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The alignment of widget text.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Button style
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-button-style"><?php _e( 'Button Style', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

            <select name="widget_button_style" id="input-widget-button-style">
                <?php
                $current = $setting->getSetting( 'widget_button_style', 'flat' );
                $styles  = array(
                    'flat'     => __( 'Flat', IPSURV_SLUG ),
                    'gradient' => __( 'Gradient', IPSURV_SLUG ),
                    'rounded'  => __( 'Rounded', IPSURV_SLUG )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>

              <div class="ipsurv-help">
                  <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The style of the button in widget.', IPSURV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Button style color
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-button-style-color"><?php _e( 'Start Button Style Color', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

            <select name="widget_button_style_color" id="input-widget-button-style-color">
              <?php
              $current = $setting->getSetting( 'widget_button_style_color', 'clean' );
              $colors  = array(
                      'clean'    => __( 'Clean', IPSURV_SLUG ),
                      'dark'     => __( 'Dark', IPSURV_SLUG ),
                      'red'      => __( 'Red', IPSURV_SLUG ),
                      'blue'     => __( 'Blue', IPSURV_SLUG ),
                      'green'    => __( 'Green', IPSURV_SLUG ),
                      'orange'   => __( 'Orange', IPSURV_SLUG ),
                      'gold'     => __( 'Gold', IPSURV_SLUG ),
                      'aqua'     => __( 'Aqua', IPSURV_SLUG ),
                      'purple'   => __( 'Purple', IPSURV_SLUG ),
                      'lime'     => __( 'Lime', IPSURV_SLUG )
              );
              foreach( $colors as $skey => $label ) {
                  $sltd = '';
                  if ( $skey == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
            </select>

              <div class="ipsurv-help">
                  <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The style color of the button in widget.', IPSURV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      //Button style color
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-deny-button-style-color"><?php _e( 'Deny Button Style Color', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

            <select name="widget_deny_button_style_color" id="input-widget-deny-button-style-color">
              <?php
              $current = $setting->getSetting( 'widget_deny_button_style_color', 'clean' );
              $colors  = array(
                      'clean'    => __( 'Clean', IPSURV_SLUG ),
                      'dark'     => __( 'Dark', IPSURV_SLUG ),
                      'red'      => __( 'Red', IPSURV_SLUG ),
                      'blue'     => __( 'Blue', IPSURV_SLUG ),
                      'green'    => __( 'Green', IPSURV_SLUG ),
                      'orange'   => __( 'Orange', IPSURV_SLUG ),
                      'gold'     => __( 'Gold', IPSURV_SLUG ),
                      'aqua'     => __( 'Aqua', IPSURV_SLUG ),
                      'purple'   => __( 'Purple', IPSURV_SLUG ),
                      'lime'     => __( 'Lime', IPSURV_SLUG )
              );
              foreach( $colors as $skey => $label ) {
                  $sltd = '';
                  if ( $skey == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
            </select>

              <div class="ipsurv-help">
                  <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                      <?php _e( 'The style color of the button in widget.', IPSURV_SLUG ); ?>
                  </div>
              </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

    </div>
    <!-- end: .ipsurv-fields -->

  </div>
</div>
