<?php
/**
 * Widget effect options
 *
 * @package wp-widgeter
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-widget-section-effect" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-magic"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Effect', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Show/hide effect of the widget', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      //Delay
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
          <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-widget-delay"><?php _e( 'Delay', IPSURV_SLUG ); ?></label>
          </div>
          <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <?php
              $delay = $this->setting->getSetting( 'widget_delay' );
              ?>
              <div class="ipsurv-input-group mr5">
                  <input type="text" id="input-widget-delay" class="ipsurv-input ipsurv-input-xs" name="widget_delay" value="<?php echo $delay; ?>">
                  <div class="ipsurv-input-addon">second</div>
              </div>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                  <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Determine the delay time before the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipsurv-field-row -->

      <h3 class="ipsurv-field-title py10"><?php _e( 'Showing Effect', IPSURV_SLUG ); ?></h3>
      <!-- start: .ipsurv-fields -->
      <div class="ipsurv-fields mb20">

        <?php
        //Animation Type
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-animation-type"><?php _e( 'Animation Type', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_animation_type" id="input-showing-animation-type">
                  <?php
                  $current = $setting->getSetting( 'showing_animation_type', 'linear' );
                  $effects = array(
                      'linear'    => __( 'Linear', IPSURV_SLUG ),
                      'bounce'    => __( 'Bounce', IPSURV_SLUG ),
                      'back'      => __( 'Back', IPSURV_SLUG ),
                      'elastic'   => __( 'Elastic', IPSURV_SLUG ),
                      'expo'      => __( 'Expo', IPSURV_SLUG )
                  );
                  foreach( $effects as $key => $label )
                  {
                      $sltd = '';
                      if ( $current == $key ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                  }
                  ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the type of the animation when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

        <?php
        //Animation Speed
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-animation-speed"><?php _e( 'Animation Speed', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_animation_speed" id="input-showing-animation-speed">
                  <?php
                  $effect  = stripslashes( $setting->getSetting( 'showing_animation_speed', 'md' ) );
                  $options = array(
                      'xs'    => __( 'Very Slow', IPSURV_SLUG ),
                      'sm'    => __( 'Slow', IPSURV_SLUG ),
                      'md'    => __( 'Medium', IPSURV_SLUG ),
                      'lg'    => __( 'Fast', IPSURV_SLUG ),
                      'xg'    => __( 'Very Fast', IPSURV_SLUG ),
                  );
                  foreach( $options as $key => $option ) {
                      $sltd = '';
                      if ( $key == $effect ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                  }
                  ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the speed of the animation when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

        <?php
        //Audio
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-showing-audio-speed"><?php _e( 'Audio', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="showing_audio" id="input-showing-audio">
                <option value="0"> <?php _e( 'No Audio', IPSURV_SLUG );  ?> </option>
                <?php
                $audio   = absint( $setting->getSetting( 'showing_audio', 0 ) );
                $options = range(1,5);
                foreach( $options as $key ) {
                    $sltd = '';
                    if ( $key == $audio ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                }
                ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the sound effect when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

      </div>
      <!-- start: .ipsurv-fields -->


      <h3 class="ipsurv-field-title py10"><?php _e( 'Hiding Effect', IPSURV_SLUG ); ?></h3>
      <!-- start: .ipsurv-fields -->
      <div class="ipsurv-fields mb20">

        <?php
        //Animation Type
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-animation-type"><?php _e( 'Animation Type', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_animation_type" id="input-hiding-animation-type">
                  <?php
                  $current = $setting->getSetting( 'hiding_animation_type', 'linear' );
                  $effects = array(
                      'linear'    => __( 'Linear', IPSURV_SLUG ),
                      'bounce'    => __( 'Bounce', IPSURV_SLUG ),
                      'back'      => __( 'Back', IPSURV_SLUG ),
                      'elastic'   => __( 'Elastic', IPSURV_SLUG ),
                      'expo'      => __( 'Expo', IPSURV_SLUG )
                  );
                  foreach( $effects as $key => $label )
                  {
                      $sltd = '';
                      if ( $current == $key ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                  }
                  ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the type of the animation when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

        <?php
        //Animation Speed
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-animation-speed"><?php _e( 'Animation Speed', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_animation_speed" id="input-hiding-animation-speed">
                  <?php
                  $effect  = stripslashes( $setting->getSetting( 'hiding_animation_speed', 'md' ) );
                  $options = array(
                      'xs'    => __( 'Very Slow', IPSURV_SLUG ),
                      'sm'    => __( 'Slow', IPSURV_SLUG ),
                      'md'    => __( 'Medium', IPSURV_SLUG ),
                      'lg'    => __( 'Fast', IPSURV_SLUG ),
                      'xg'    => __( 'Very Fast', IPSURV_SLUG ),
                  );
                  foreach( $options as $key => $option ) {
                      $sltd = '';
                      if ( $key == $effect ) {
                          $sltd = ' selected="selected"';
                      }
                      echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                  }
                  ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the speed of the animation when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

        <?php
        //Audio
        ?>
        <!-- start: .ipsurv-field-row -->
        <div class="ipsurv-field-row ipsurv-field-x">
            <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
                <label for="input-hiding-audio-speed"><?php _e( 'Audio', IPSURV_SLUG ); ?></label>
            </div>
            <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

              <select name="hiding_audio" id="input-hiding-audio">
                <option value="0"> <?php _e( 'No Audio', IPSURV_SLUG );  ?> </option>
                <?php
                $audio   = absint( $setting->getSetting( 'hiding_audio', 0 ) );
                $options = range(1,5);
                foreach( $options as $key ) {
                    $sltd = '';
                    if ( $key == $audio ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $key . '"' . $sltd . '>Audio #' . $key . '</option>';
                }
                ?>
              </select>

              <div class="ipsurv-help">
                <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
                <div class="ipsurv-help-content ipsurv-hide">
                  <?php _e( 'Set the sound effect when the widget is displayed.', IPSURV_SLUG ); ?>
                </div>
              </div>
            </div>
        </div>
        <!-- end: .ipsurv-field-row -->

      </div>
      <!-- start: .ipsurv-fields -->


    </div>
  </div>
</div>
