<?php
/**
 * Admin content general view
 *
 * @package wp-widgeter
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-widget-section-general" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-cogs"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'General', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of the widget', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->widget ) {
            $title = stripslashes( $this->widget->post_title );
          }
          ?>
          <input type="text" id="input-title" class="ipsurv-input ipsurv-input-full ipsurv-input-v-lg" name="title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The title of the widget. This data will not be used directly in creating widget, only to mark the widget , so it easier for you to manage it.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Survey
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-survey"><?php _e( 'Survey', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <select id="input-survey" name="survey">
              <?php
              $args = array(
                  'orderby'        => 'post_title',
                  'order'          => 'DESC',
                  'post_type'      => 'ipsurv-item',
                  'post_status'    => array('publish'),
                  'posts_per_page' => -1,
                  'paged'          => 1
              );
              $query = new WP_Query;
              $contents = $query->query( $args );
              foreach( $contents as $content )
              {
                  echo '<option value="' . $content->ID .  '">' . $content->post_title . '</option>';
              }
              ?>
          </select>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Determine the survey will be linked with widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipsurv-onoff">
              <?php
              $val  = 'true';
              if ( $this->widget && $this->widget->post_status == 'draft' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipsurv-btn-group">
                <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'Show', IPSURV_SLUG ); ?></button>
                <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Hide', IPSURV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipsurv-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Determines the status of the widget, whether the widget will be viewable by the public or not.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipsurv-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipsurv-btn-group">
                <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
                <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipsurv-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Deciding whether to tighten the contest page where only logged-in user can view the page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


    </div>
    <!-- end: .ipsurv-fields -->

  </div>
</div>
