<?php
/**
 * Widget survey view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$st = $this->setting;
$class  = 'ipsurv-widget _widget';
$class .= ' ipsurv-widget-' . $this->widget->ID;
$class .= ' _widget-style-' . $st->getSetting( 'widget_style', 1 );
$class .= ' _widget-radius-' . $st->getSetting( 'widget_border_radius', 'none' );
$class .= ' _widget-align-' . $st->getSetting( 'widget_alignment', 'none' );

//Border
$bowidth = $st->getSetting( 'widget_border_width' );
$bocolor = $st->getSetting( 'widget_border_color', '#dddddd' );
//Font
$font_opt = $st->getSetting( 'widget_font_family', 'roboto' );
$family   = IPSurv_Font::getFamily( $font_opt );

$style  = ' style="';
$style .= 'background-color:' . $st->getSetting( 'widget_background_color', '#ffffff' ) . ';';
$style .= 'color:' . $st->getSetting( 'widget_color', '#444444' ) . ';';
$style .= 'padding:' . $st->getSetting( 'widget_padding', '10' ) . 'px;';
$style .= 'font-family:' . $family . ';';
if ( $bowidth ) {
    $style .= 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
}
$style .= '"';
?>

<style>
.ipsurv-widget-<?php echo $this->widget->ID; ?> a {
    color: <?php echo $st->getSetting( 'widget_link_color', '#000000' ); ?>;
}
</style>

<div class="<?php echo $class; ?>">
  <div class="_widget-inner"<?php echo $style; ?>>

    <!-- Widget settings -->
    <?php
    $effect  = 'data-delay="' . $st->getSetting( 'widget_delay', 0 ) . '"' ;
    $effect .= ' data-animation="' . $st->getSetting( 'showing_animation_type', 'linear' ) . '"' ;
    $effect .= ' data-speed="' . $st->getSetting( 'showing_animation_speed', 'md' ) . '"' ;
    $effect .= ' data-audio="' . $st->getSetting( 'showing_audio', 0 ) . '"' ;
    ?>
    <div class="_showing-effect"<?php echo $effect; ?>></div>
    <?php
    $effect  = 'data-animation="' . $st->getSetting( 'hiding_animation_type', 'linear' ) . '"' ;
    $effect .= ' data-speed="' . $st->getSetting( 'hiding_animation_speed', 'md' ) . '"' ;
    $effect .= ' data-audio="' . $st->getSetting( 'hiding_audio', 0 ) . '"' ;
    ?>
    <div class="_hiding-effect"<?php echo $effect; ?>></div>

    <div class="_widget-main">

      <?php
      $title    = $st->getSetting( 'widget_title' );
      $subtitle = $st->getSetting( 'widget_subtitle' );
      $logo     = false;
      if ( $logoId = $st->getSetting( 'widget_logo' ) )
      {
          $data = wp_get_attachment_image_src( $logoId, 'full' );
          if ( ! empty( $data[0] )) {
              $logo = $data[0];
          }
      }
      $class = '_widget-header';
      if ( empty( $title ) &&  empty( $subtitle )) {
          $class .= ' _widget-header-w-logo';
      } elseif ( empty( $logo )) {
          $class .= ' _widget-header-w-title';
      } else {
          $class .= ' _widget-header-w-title-logo';
      }
      ?>
      <div class="<?php echo $class; ?>">
        <?php
        if ( $logo ) :
        ?>
        <div class="_widget-logo">
          <img src="<?php echo $logo; ?>" alt="">
        </div>
        <?php
        endif;

        if ( ! empty( $title ) || ! empty( $subtitle )) :
        ?>
        <div class="_widget-group-title">
          <?php
          if ( ! empty( $title )) :
          ?>
          <h3 class="_widget-title"><?php echo $title; ?></h3>
          <?php
          endif;

          if ( ! empty( $subtitle )) :
          ?>
          <h4 class="_widget-subtitle"><?php echo $subtitle; ?></h4>
          <?php
          endif;
          ?>
        </div>
        <?php
        endif;
        ?>
      </div>

      <div class="_widget-content">
          <div class="_info"><?php echo $st->getSetting( 'widget_info' ); ?></div>
          <div class="_buttons">
            <?php
            $btnStart  = '_widget-button-start ipsurv-btn ipsurv-btn-md';
            $btnStart .= ' ipsurv-btn-' . $st->getSetting( 'widget_button_style' );
            $btnStart .= ' ipsurv-btn-' . $st->getSetting( 'widget_button_style_color', 'clean' );
            ?>
            <a href="<?php echo $this->permalink; ?>" class="<?php echo $btnStart; ?>">
              <?php echo $st->getSetting( 'widget_start_button', 'Start'); ?>
            </a>

            <?php
            $btnStart  = '_widget-button-deny ipsurv-btn ipsurv-btn-md';
            $btnStart .= ' ipsurv-btn-' . $st->getSetting( 'widget_button_style' );
            $btnStart .= ' ipsurv-btn-' . $st->getSetting( 'widget_deny_button_style_color', 'clean' );
            ?>
            <a href="#" class="<?php echo $btnStart; ?>">
              <?php echo $st->getSetting( 'widget_deny_button', 'No thanks'); ?>
            </a>
          </div>
          <div class="_term"><?php echo $st->getSetting( 'widget_term' ); ?></div>
      </div>

    </div>
  </div>
  <?php
  //
  //Audio
  $audio = $st->getSetting( 'hiding_audio', 0 );
  if ( ! empty( $audio ) ) :
      $base = IPSURV_BASE_URL . 'assets/audio/audio-' . $audio;
  ?>
  <audio class="_hiding-audio" style="display:none;">
      <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
      <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
      <?php _e( 'Your browser does not support this audio format.', IPSURV_SLUG ); ?>
  </audio>
  <?php
  endif;

  $audio = $st->getSetting( 'showing_audio', 0 );
  if ( ! empty( $audio ) ) :
      $base = IPSURV_BASE_URL . 'assets/audio/audio-' . $audio;
  ?>
  <audio class="_showing-audio" style="display:none;">
      <source src="<?php echo $base; ?>.mp3" type="audio/mpeg">
      <source src="<?php echo $base; ?>.ogg" type="audio/ogg">
      <?php _e( 'Your browser does not support this audio format.', IPSURV_SLUG ); ?>
  </audio>
  <?php
  endif;
  ?>
</div>
