<?php
/**
 * Controller to handling get question data
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Get_question' ))
{
    class IPSurv_Ajax_Get_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();
            
            $question = false;
            if ( ! empty( $_POST['id'] )) {
                $qtnId    = absint( $_POST['id'] );
                $question = $model->getQuestion( $qtnId );
            }
            if ( ! $question ) 
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed get question.', IPSURV_SLUG )
                ) );
                die();
            }
            $answers = array();
            $dataAns = $model->getAnswers( $question->qtn_id );
            if ( ! empty( $dataAns ))
            {
                foreach( $dataAns as $data ) 
                {
                    $answers[] = array(
                        'id'    => $data->ans_id,
                        'title' => $data->ans_content
                    );
                }
            }
            
            echo json_encode( array(
                'status'    => 1,
                'message'   => __( 'Successfully get question.', IPSURV_SLUG ),
                'id'        => $question->qtn_id,
                'question'  => $question->qtn_content,
                'type'      => $question->qtn_type,
                'qstatus'   => $question->qtn_status,
                'answers'   => $answers
            ) );
            die();
        }
    }
}
