<?php
/**
 * Controller to handling save question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Order_question' ))
{
    class IPSurv_Ajax_Order_question
    {
        /**
         * Execution save question
         *
         * @return void
         */
        public function exec()
        {
            global $user_ID;

            $error = true;
            $model = new IPSurv_Model_Question();
            
            $survey = false;
            if ( ! empty( $_POST['survey_id'] )) {
                $surveyId = absint( $_POST['survey_id'] );
                $survey   = get_post( $surveyId );
            }
            if ( ! $survey || empty( $_POST['list'] ) )
            {
                echo json_encode( array(
                    'status'    => 0,
                    'message'   => __( 'Failed add question.', IPSURV_SLUG )
                ) );
                die();
            }
            
            $list  = trim( $_POST['list'], '|' );
            $ids   = explode( '|', $list );
            $order = 1;
            foreach( $ids as $id )
            {
                $id = absint( $id );
                if ( $question = $model->getQuestion( $id ) )
                {
                    $toUpdate = array(
                        'qtn_order' => $order
                    );
                    $model->updateQuestion( $id, $toUpdate );
                }
                $order++;
            }
            
            echo json_encode( array(
                'status'    => 1
            ) );
            die();
        }
    }
}
