<?php
/**
 * Controller to handling save setting
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPSurv_Ajax_Setting' ))
{
    class IPSurv_Ajax_Setting
    {
        /**
         * Execution save setting
         *
         * @return void
         */
        public function exec()
        {
            $error = false;
            if ( ! empty( $_POST['base_path'] )) {
                $path = sanitize_title( $_POST['base_path'] );
                update_option( '__ipsurv_base_path', $path );
            }

            if ( isset( $_POST['general_widget'] )) {
                $widget = absint( $_POST['general_widget'] );
                update_option( '__ipsurv_general_widget', $widget );
            }
            if ( ! empty( $_POST['general_widget_position'] )) {
                $position = sanitize_title( $_POST['general_widget_position'] );
                update_option( '__ipsurv_general_widget_position', $position );
            }
            if ( ! empty( $_POST['general_widget_overlay'] )) {
                $overlay = sanitize_title( $_POST['general_widget_overlay'] );
                update_option( '__ipsurv_general_widget_overlay', $overlay );
            }

            if ( isset( $_POST['home_widget'] )) {
                $widget = absint( $_POST['home_widget'] );
                update_option( '__ipsurv_home_widget', $widget );
            }
            if ( ! empty( $_POST['home_widget_position'] )) {
                $position = sanitize_title( $_POST['home_widget_position'] );
                update_option( '__ipsurv_home_widget_position', $position );
            }
            if ( ! empty( $_POST['home_widget_overlay'] )) {
                $overlay = sanitize_title( $_POST['home_widget_overlay'] );
                update_option( '__ipsurv_home_widget_overlay', $overlay );
            }
            if ( $error ) {
                $status = 0;
                $msg    = __( 'Failed save settings.', IPSURV_SLUG );
            } else {
                $status = 1;
                $msg    = __( 'Successfully updated settings.', IPSURV_SLUG );
            }
            echo json_encode( array(
                'status'    => $status,
                'message'   => $msg
            ) );
            die();
        }
    }
}
