<?php
/**
 * Admin header view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$page = $this->pageId;
$struct = array(
    'wpsurv' => array(
        'title'     => __( 'All Surveys', IPSURV_SLUG ),
        'info'      => __( 'See all surveys and manage it', IPSURV_SLUG ),
        'icon'      => 'pressthis'
    ),
    'wpsurv-addnew' => array(
        'title'     => __( 'Create New', IPSURV_SLUG ),
        'info'      => __( 'Create new survey', IPSURV_SLUG ),
        'icon'      => 'plus-alt'
    ),
    'wpsurv-widget' => array(
        'title'     => __( 'Widget', IPSURV_SLUG ),
        'info'      => __( 'Survey Widgets', IPSURV_SLUG ),
        'icon'      => 'admin-plugins'
    ),
    'wpsurv-setting' => array(
        'title'     => __( 'Settings', IPSURV_SLUG ),
        'info'      => __( 'Page survey settings', IPSURV_SLUG ),
        'icon'      => 'admin-generic'
    )
 );
?>
<div class="ipsurv-top">
    <div class="ipsurv-header">
        <div class="ipsurv-page-title">
            <h1>
                <i class="dashicons-before dashicons-pressthis"></i>
                <span>
                    <strong><span>WP</span> iAsk</strong>
                    <em> <?php _e( 'Creating survey page for your website', IPSURV_SLUG ); ?></em>
                </span>
            </h1>
        </div>
    </div>
    <div class="ipsurv-nav">
        <ul>
        <?php
        $title = isset( $this->title ) ? $this->title : '';
        $info  = isset( $this->info ) ? $this->info : '';
        if ( array_key_exists( $page, $struct ))
        {
            if ( empty( $title )) {
                $title = $struct[$page]['title'];
            }
            if ( empty( $info )) {
                $info  = $struct[$page]['info'];
            }
            if ( empty( $icon )) {
                $icon  = $struct[$page]['icon'];
            }
        }
        foreach( $struct as $name => $data )
        {
            $active = '';
            if ( $page == $name ) {
                $active = ' class="active"';
            }
            echo '<li' . $active . '>' .
                    '<a href="admin.php?page=' . $name . '">' .
                        '<i class="dashicons-before dashicons-' . $data['icon'] . '"></i>' .
                        $data['title'] .
                    '</a>' .
                '</li>';
        }
        ?>
        </ul>
    </div>
    <div class="ipsurv-page-info">
        <i class="dashicons-before dashicons-<?php echo $icon; ?>"></i>
        <div class="ipsurv-info">
            <h3><?php echo $title; ?></h3>
            <h4><?php echo $info; ?></h4>
        </div>
    </div>
</div>
