<?php
/**
 * Admin content general view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div id="ipsurv-section-general" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-cogs"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'General', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your survey page', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->survey ) {
            $title = stripslashes( $this->survey->post_title );
          }
          ?>
          <input type="text" id="input-title" class="ipsurv-input ipsurv-input-full ipsurv-input-v-lg" name="title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The title of the survey.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Permalink
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-slug"><?php _e( 'Permalink', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $slug = '';
          if ( $this->survey ) {
            $slug = stripslashes( $this->survey->post_name );
          }
          ?>
          <span class="ipsurv-input-permalink">
              <strong class="italic font-h4 color-grey"><?php echo $this->permalink_root; ?></strong>
              <input type="text" id="input-slug" class="ipsurv-input ipsurv-input-md" name="slug" value="<?php echo $slug; ?>">
          </span>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Determining the structure of a link from the contest page. You can ignore this because it will be set directly by the system based on page name.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipsurv-onoff">
              <?php
              $val  = 'true';
              if ( $this->survey && $this->survey->post_status == 'draft' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipsurv-btn-group">
                <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'Show', IPSURV_SLUG ); ?></button>
                <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Hide', IPSURV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipsurv-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Determines the status of the survey, whether the survey will be viewable by the public or not.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


      <?php
      /*
       * Restricted user
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipsurv-onoff">
              <?php
              $val = $this->setting->getSetting( 'restricted', 'false' );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipsurv-btn-group">
                <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
                <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipsurv-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'Deciding whether to tighten the contest page where only logged-in user can view the page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


    </div>
    <!-- end: .ipsurv-fields -->

  </div>
</div>
