<?php
/**
 * Admin manage question
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-section-question" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-question-circle"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Questions', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Manage question for the survey page', IPSURV_SLUG ); ?></p>
      </div>
    </div>
    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <div id="ipsurv-manage-question" class="ipsurv-question">
        <input type="hidden" name="maxid" class="_value-maxid" value="<?php echo $this->questionMaxId; ?>">
        <div class="_inner">
          <div class="_lists">
            <?php
            if ( empty( $this->questions )) :
            ?>
            <div class="_items"></div>
            <div class="_empty">
                <?php _e( 'The list of questions is not available.', IPSURV_SLUG ); ?>
            </div>
            <?php
            else :
            ?>
            <div class="_items">
              <?php
              foreach( $this->questions as $question ):
              ?>

              <div id="ipsurv-question-<?php echo $question->qtn_id; ?>" class="_question ipsurv-clear" data-qtnid="<?php echo $question->qtn_id; ?>">
                <div class="_question-inner">
                  <div class="_question-order"><i class="ipsurv-fa ipsurv-fa-arrows"></i></div>
                  <div class="_question-title"><?php echo wp_strip_all_tags( $question->qtn_content ); ?></div>
                  <div class="_question-actions">
                    <a href="#" class="_question-edit" data-id="<?php echo $question->qtn_id; ?>">
                      <i class="ipsurv-fa ipsurv-fa-pencil"></i>
                    </a>
                    <a href="#" class="_question-delete" data-id="<?php echo $question->qtn_id; ?>">
                      <i class="ipsurv-fa ipsurv-fa-times"></i>
                    </a>
                  </div>
                </div>
              </div>

              <?php
              endforeach;
              ?>
            </div>
            <div class="_empty" style="display:none;">
                <?php _e( 'The list of questions is not available.', IPSURV_SLUG ); ?>
            </div>
            <?php
            endif;
            ?>
          </div>
          <div class="_add-new">
            <a href="#" class="_add-new-link ipsurv-btn ipsurv-btn-success ipsurv-btn-sm">
              <?php _e( 'Add New Question', IPSURV_SLUG ); ?>
            </a>
          </div>
        </div>
      </div>

    </div>
    <!-- end: .ipsurv-fields -->
  </div>
</div>
