<?php
/**
 * General design options
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;

/*
 * background image
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-background-image"><?php _e( 'Background Image', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <div class="ipsurv-upload-image ipsurv-clear">
        <div class="ipsurv-upload-preview">
            <?php
              $setimg = false;
              if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                  $setimg = true;
                  $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
              }
              if ( $setimg ) {
                  echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                  echo '<div class="none ipsurv-hide">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                  $reset_dsp = '';
              } else {
                  echo '<div class="image"></div>';
                  echo '<div class="none">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                  $reset_dsp = ' style="display:none;"';
              }
            ?>
        </div>

        <div class="ipsurv-image-field">
            <div class="ipsurv-select-image">
                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPSURV_SLUG ); ?></p>
                <a class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-media ipsurv-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPSURV_SLUG ); ?>"
                  data-update="<?php esc_attr_e( 'Choose photo', IPSURV_SLUG ); ?>">
                    <i class="ipsurv-fa ipsurv-fa-image"></i>
                    <?php _e( 'Select Photo', IPSURV_SLUG ); ?>
                </a>
                <a class="ipsurv-btn ipsurv-btn-reset ipsurv-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                    <i class="ipsurv-fa ipsurv-fa-ban"></i>
                    <?php _e( 'Clear Photo', IPSURV_SLUG ); ?>
                </a>
            </div>
            <input type="hidden" name="upload_type" class="ipsurv-upload-type" value="background_image" />
            <input type="hidden" name="background_image" class="ipsurv-image-id" value="<?php echo $attach_id; ?>" />
        </div>
    </div>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The background image in the survey page.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Background repeat
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-background-repeat"><?php _e( 'Background Repeat', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $style   = $setting->getSetting( 'background_repeat' );
    $options = array(
        'no-repeat'   => __( 'No Repeat', IPSURV_SLUG ),
        'repeat-x'    => __( 'Repeat Horizontally', IPSURV_SLUG ),
        'repeat-y'    => __( 'Repeat Vertically', IPSURV_SLUG ),
        'repeat'      => __( 'Repeat All', IPSURV_SLUG ),
    );
    ?>
    <select name="background_repeat" id="input-background-repeat">
      <?php
      foreach( $options as $key => $label )
      {
          $sltd = '';
          if ( $key == $style ) {
              $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
      }
      ?>
    </select>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The alignment logo/title in header section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Background opacity
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-background-opacity"><?php _e( 'Background Opacity', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $opacity = $setting->getSetting( 'background_opacity' );
    $options = array(
        0    => __( 'None', IPSURV_SLUG ),
        10   => __( '10%', IPSURV_SLUG ),
        20   => __( '20%', IPSURV_SLUG ),
        30   => __( '30%', IPSURV_SLUG ),
        40   => __( '40%', IPSURV_SLUG ),
        50   => __( '50%', IPSURV_SLUG ),
        60   => __( '60%', IPSURV_SLUG ),
        70   => __( '70%', IPSURV_SLUG ),
        80   => __( '80%', IPSURV_SLUG ),
        90   => __( '90%', IPSURV_SLUG ),
    );
    ?>
    <select name="background_opacity" id="input-background-opacity">
      <?php
      foreach( $options as $key => $label )
      {
          $sltd = '';
          if ( $key == $opacity ) {
              $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
      }
      ?>
    </select>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Make transparency for the background image.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->
