<?php
/**
 * Header design options
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;

/*
 * Header Title
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-title"><?php _e( 'Header Title', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $title = $setting->getSetting( 'header_title' );
    ?>
    <input type="text" id="input-header-title" class="ipsurv-input ipsurv-input-full" name="header_title" value="<?php echo $title; ?>">

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The header title for the survey page.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Header Logo
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-logo"><?php _e( 'Header Logo', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <div class="ipsurv-upload-image ipsurv-clear">
        <div class="ipsurv-upload-preview">
            <?php
              $setimg = false;
              if ( $attach_id = $this->setting->getSetting( 'header_logo' ) ) {
                  $setimg = true;
                  $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
              }
              if ( $setimg ) {
                  echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                  echo '<div class="none ipsurv-hide">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                  $reset_dsp = '';
              } else {
                  echo '<div class="image"></div>';
                  echo '<div class="none">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                  $reset_dsp = ' style="display:none;"';
              }
            ?>
        </div>

        <div class="ipsurv-image-field">
            <div class="ipsurv-select-image">
                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPSURV_SLUG ); ?></p>
                <a class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-media ipsurv-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPSURV_SLUG ); ?>"
                  data-update="<?php esc_attr_e( 'Choose photo', IPSURV_SLUG ); ?>">
                    <i class="ipsurv-fa ipsurv-fa-image"></i>
                    <?php _e( 'Select Photo', IPSURV_SLUG ); ?>
                </a>
                <a class="ipsurv-btn ipsurv-btn-reset ipsurv-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                    <i class="ipsurv-fa ipsurv-fa-ban"></i>
                    <?php _e( 'Clear Photo', IPSURV_SLUG ); ?>
                </a>
            </div>
            <input type="hidden" name="upload_type" class="ipsurv-upload-type" value="header_logo" />
            <input type="hidden" name="header_logo" class="ipsurv-image-id" value="<?php echo $attach_id; ?>" />
        </div>
    </div>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The header logo for the survey page.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Logo/Title Aligment
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-alignment"><?php _e( 'Logo/Title Aligment', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $style   = $setting->getSetting( 'header_alignment' );
    $options = array(
        'left'   => __( 'Left', IPSURV_SLUG ),
        'center' => __( 'Center', IPSURV_SLUG ),
        'right'  => __( 'Right', IPSURV_SLUG ),
    );
    ?>
    <select name="header_alignment" id="input-header-alignment">
      <?php
      foreach( $options as $key => $label )
      {
          $sltd = '';
          if ( $key == $style ) {
              $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
      }
      ?>
    </select>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The alignment logo/title in header section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Header Style
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-style"><?php _e( 'Header Style', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $style   = $setting->getSetting( 'header_style' );
    $options = array(
        1 => __( 'Style #1', IPSURV_SLUG ),
        2 => __( 'Style #2', IPSURV_SLUG ),
        3 => __( 'Style #3', IPSURV_SLUG ),
    );
    ?>
    <select name="header_style" id="input-header-style">
      <?php
      foreach( $options as $key => $label )
      {
          $sltd = '';
          if ( $key == $style ) {
              $sltd = ' selected="selected"';
          }
          echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
      }
      ?>
    </select>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'The header style for the survey page.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Background Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-background-color"><?php _e( 'Background Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'header_background_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-header-background-color" name="header_background_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add background color in the header section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-border"><?php _e( 'Border', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $bowidth = $this->setting->getSetting( 'header_border_width', 0 );
    $bocolor = stripslashes( $this->setting->getSetting( 'header_border_color', '#222222' ));
    ?>
    <div class="ipsurv-input-group mr5">
      <input type="text" id="input-header-border-width" class="ipsurv-input ipsurv-input-xxs" name="header_border_width" value="<?php echo $bowidth; ?>">
      <div class="ipsurv-input-addon">px</div>
    </div>
    <input type="text" class="ipsurv-color-picker" id="input-header-border-color" name="header_border_color" value="<?php echo $bocolor; ?>" />

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Add border in the header section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Border radius
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-header-border-radius"><?php _e( 'Border Radius', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <select name="header_border_radius" id="input-header-border-radius">
        <?php
        $current = stripslashes( $this->setting->getSetting( 'header_border_radius', 'none' ));
        $styles  = array(
            'none' => __( 'None', IPSURV_SLUG ),
            'xs'   => __( 'Extra Small', IPSURV_SLUG ),
            'sm'   => __( 'Small', IPSURV_SLUG ),
            'md'   => __( 'Medium', IPSURV_SLUG ),
            'lg'   => __( 'Large', IPSURV_SLUG )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Add radius in the header section.', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Top
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-header-padding-top"><?php _e( 'Padding Top', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'header_padding_top' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-header-padding-top" class="ipsurv-input ipsurv-input-xs" name="header_padding_top" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding top for the header section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Padding Bottom
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-header-padding-bottom"><?php _e( 'Padding Bottom', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $padding = $this->setting->getSetting( 'header_padding_bottom' );
        ?>
        <div class="ipsurv-input-group mr5">
            <input type="text" id="input-header-padding-bottom" class="ipsurv-input ipsurv-input-xs" name="header_padding_bottom" value="<?php echo $padding; ?>">
            <div class="ipsurv-input-addon">px</div>
        </div>

        <div class="ipsurv-help">
          <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
            <?php _e( 'Padding bottom for the header section (in px).', IPSURV_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-color"><?php _e( 'Text Color', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'header_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipsurv-color-picker" id="input-header-color" name="header_color" value="<?php echo $color; ?>" />


    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Text color in the header section.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->

<?php
//Font Family
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
    <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-header-font-family"><?php _e( 'Font Family', IPSURV_SLUG ); ?></label>
    </div>
    <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $current = $this->setting->getSetting( 'header_font_family', 'roboto' );
        $fonts   = IPSurv_Font::getOptions();
        $fname   = IPSurv_Font::getFontName( $current );
        ?>
        <span class="ipsurv-font-family">
            <div class="ipsurv-menu ipsurv-fancy-option">
                <div class="ipsurv-selected">
                    <div class="ipsurv-selected-box">
                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                    </div>
                    <span class="toggle"></span>
                </div>
                <div class="ipsurv-select" style="display: none;">
                    <div class="ipsurv-select-content">
                        <ul class="clearfix">
                            <?php
                            foreach( $fonts as $fkey => $label ) :
                            ?>
                                <li data-select="<?php echo $fkey; ?>">
                                    <strong class="ipsurv-select-label">
                                        <?php echo $label; ?>
                                    </strong>
                                </li>
                            <?php
                            endforeach;
                            ?>
                        </ul>
                    </div>
                </div>
                <input type="hidden" name="header_font_family" class="ipsurv-input-select" value="<?php echo $current; ?>" />
            </div>
        </span>

        <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
                <?php _e( 'The font family of the header section.', IPSURV_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipsurv-field-row -->

<?php
/*
 * Shadow
 */
?>
<!-- start: .ipsurv-field-row -->
<div class="ipsurv-field-row ipsurv-field-x">
  <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-header-shadow"><?php _e( 'Shadow', IPSURV_SLUG ); ?></label>
  </div>

  <!-- start: .ipsurv-field -->
  <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
    <div class="ipsurv-onoff">
        <?php
        $val  = $this->setting->getSetting( 'header_shadow', 'false' );
        if ( $this->survey && $this->survey->post_status == 'draft' ) {
            $val = 'false';
        }
        if ( $val == 'false' ) {
            $clon  = '';
            $cloff = ' active';
        } else {
            $clon  = ' active';
            $cloff = '';
        }
        ?>
        <div class="ipsurv-btn-group">
          <button data-value="true" class="ipsurv-btn-onoff<?php echo $clon; ?> ipsurv-btn-on" type="button"><?php _e( 'On', IPSURV_SLUG ); ?></button>
          <button data-value="false" class="ipsurv-btn-onoff<?php echo $cloff; ?> ipsurv-btn-off" type="button"><?php _e( 'Off', IPSURV_SLUG ); ?></button>
        </div>
        <input type="hidden" class="ipsurv-onoff-value" name="header_shadow" value="<?php echo $val; ?>" />
    </div>

    <div class="ipsurv-help">
      <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
      <div class="ipsurv-help-content ipsurv-hide">
        <?php _e( 'Determines the status of the survey, whether the survey will be viewable by the public or not.', IPSURV_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipsurv-field -->
</div>
<!-- end: .ipsurv-field-row -->
