<?php
/**
 * Survey result radio
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$survey   = $this->survey;
$question = $this->question;
$choices  = $this->choices;
?>
<div class="ipsurv-result-content _result-radio">
  <div class="_result-inner">
    <div class="_result-summary">
      <h4>Summary</h4>
      <?php
      $count   = count( $choices );
      $answers = $this->model->getAnswers( $question->qtn_id );
      foreach( $answers as $answer ) :
        $acount  = $this->model->getChoiceAnswerCount( $question->qtn_id, array( $answer->ans_id ) );
        $percent = 0;
        if ( ! empty( $acount )) {
            $percent = round( $acount/$count * 100 );
        }
        $class   = '_answer';
        if ( empty( $acount )) {
            $class .= ' _answer-empty';
        }
        if ( $percent == 100 ) {
            $class .= ' _answer-full';
        }
        if ( $percent < 100 ) {
            $class .= ' _answer-no-full';
        }
      ?>
      <div class="<?php echo $class; ?>">
        <div class="_answer-label"><?php echo $answer->ans_content; ?></div>
        <div class="_answer-bar" style="width:<?php echo $percent; ?>%;"></div>
        <div class="_answer-value"><?php echo $acount; ?></div>
      </div>
      <?php
      endforeach;
      ?>
    </div>
    <div class="_result-detail">
      <h4>Detail</h4>
      <table class="_result-table">
        <thead>
          <tr>
            <th class="_result-table-no">No</th>
            <th class="_result-table-ip">User IP</th>
            <th class="_result-table-answer">Answer</th>
          </tr>
        </thead>
        <?php
        $index = 1;
        foreach( $choices as $choice ) :
        ?>
        <tr>
          <td><?php echo $index; ?></td>
          <td><?php echo $choice->cho_ip; ?></td>
          <td>
            <?php
            $ansText  = '-';
            $canswer  = $this->model->getChoiceAnswer( $choice->cho_id, $question->qtn_id );
            $answerId = $canswer->choa_data;
            if ( $answer = $this->model->getAnswer( $answerId ) ) {
                $ansText = $answer->ans_content;
            }
            echo $ansText;
            ?>
          </td>
        </tr>
        <?php
        $index++;
        endforeach;
        ?>
      </table>
    </div>
  </div>
</div>
