<?php
/**
 * Content widget options
 *
 * @package wp-widgeter
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$setting = $this->setting;
?>
<div id="ipsurv-widget-section-content" class="ipsurv-tab-content">
  <div class="ipsurv-tab-inner">

    <div class="ipsurv-title-content ipsurv-hide">
      <i class="ipsurv-fa ipsurv-fa-cogs"></i>
      <div class="ipsurv-title-text">
        <h3><?php _e( 'Content', IPSURV_SLUG ); ?></h3>
        <p><?php _e( 'Manage content of the widget', IPSURV_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipsurv-fields -->
    <div class="ipsurv-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-title"><?php _e( 'Title', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = $setting->getSetting( 'widget_title' );
          ?>
          <input type="text" id="input-widget-title" class="ipsurv-input ipsurv-input-full ipsurv-input-v-lg" name="widget_title" value="<?php echo $title; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The title of the widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Subtitle
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-subtitle"><?php _e( 'Subtitle', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $subtitle = $setting->getSetting( 'widget_subtitle' );
          ?>
          <input type="text" id="input-widget-subtitle" class="ipsurv-input ipsurv-input-full" name="widget_subtitle" value="<?php echo $subtitle; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The subtitle of the widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Logo
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-logo"><?php _e( 'Logo', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipsurv-upload-image ipsurv-clear">
              <div class="ipsurv-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'widget_logo' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipsurv-hide">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPSURV_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipsurv-image-field">
                  <div class="ipsurv-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPSURV_SLUG ); ?></p>
                      <a class="ipsurv-btn ipsurv-btn-secondary ipsurv-btn-media ipsurv-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPSURV_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPSURV_SLUG ); ?>">
                          <i class="ipsurv-fa ipsurv-fa-image"></i>
                          <?php _e( 'Select Photo', IPSURV_SLUG ); ?>
                      </a>
                      <a class="ipsurv-btn ipsurv-btn-reset ipsurv-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipsurv-fa ipsurv-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPSURV_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipsurv-upload-type" value="widget_logo" />
                  <input type="hidden" name="widget_logo" class="ipsurv-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The widget logo for the survey page.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Info
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-info"><?php _e( 'Main Info', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $info = $setting->getSetting( 'widget_info', '' );
          ?>
          <?php
          $tinymceInit = array(
              'editor_height' => 120
          );
          $content = stripslashes( $info );
          wp_editor( $content, 'widget_info', array(
              'editor_height' => 120,
              'tinymce'       => $tinymceInit
          ));
          ?>
          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The main info in the widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Term Info
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-term"><?php _e( 'Term Info', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $term = $setting->getSetting( 'widget_term', '' );
          ?>
          <?php
          $tinymceInit = array(
              'editor_height' => 100
          );
          $content = stripslashes( $term );
          wp_editor( $content, 'widget_term', array(
              'editor_height' => 100,
              'tinymce'       => $tinymceInit
          ));
          ?>
          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The term info in the widget.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Start Button Label
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-start-button"><?php _e( 'Start Button Label', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = $setting->getSetting( 'widget_start_button' );
          ?>
          <input type="text" id="input-widget-start-button" class="ipsurv-input ipsurv-input-full" name="widget_start_button" value="<?php echo $label; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The label for start button.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->

      <?php
      /*
       * Deny Button Label
       */
      ?>
      <!-- start: .ipsurv-field-row -->
      <div class="ipsurv-field-row ipsurv-field-x ipsurv-help-abs">
        <div class="ipsurv-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-widget-deny-button"><?php _e( 'Deny Button Label', IPSURV_SLUG ); ?></label>
        </div>

        <!-- start: .ipsurv-field -->
        <div class="ipsurv-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $label = $setting->getSetting( 'widget_deny_button' );
          ?>
          <input type="text" id="input-widget-deny-button" class="ipsurv-input ipsurv-input-full" name="widget_deny_button" value="<?php echo $label; ?>">

          <div class="ipsurv-help">
            <a class="ipsurv-btn-help ipsurv-btn ipsurv-btn-default" href="#"><i class="ipsurv-fa ipsurv-fa-question"></i></a>
            <div class="ipsurv-help-content ipsurv-hide">
              <?php _e( 'The label for deny button.', IPSURV_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipsurv-field -->
      </div>
      <!-- end: .ipsurv-field-row -->


    </div>
    <!-- end: .ipsurv-fields -->

  </div>
</div>
